using Microsoft.Extensions.DependencyInjection;
using Prise.Plugin;
using PSCHelpdesk.Plugins.HetznerServer.Service;
using PSCHelpdesk.Plugins.HetznerServer.ViewModels;

namespace PSCHelpdesk.Plugins.HetznerServer;

[PluginBootstrapper(PluginType = typeof(HetznerServer))]
public class HetznerServerBootstrap : IPluginBootstrapper
{
    
    public IServiceCollection Bootstrap(IServiceCollection services)
    {
        services.AddScoped<IServerService, ServerService>();
        services.AddTransient<ServerViewModel>();
        return services;
    }
}
